tech-pkg archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: emacs defaultdependencies seem excessive

> My proposal is to change PKG_SUGGESTED_OPTIONS to remove
>   svg
>   gtk (and thus turn on xaw)
>   dbus
This is what I have on my own machine, so I'm in favor of it.
However, an intermediate fix is to have an option for librsvg to
not build with libcroco and/or libsgf; this cuts way, way down
on the requisite dependencies. (Admittedly, since librsvg still
requires cairo, glib2, and pango, you're still going to have a
boatload of them.)

Home | Main Index | Thread Index | Old Index